OpenAPI SpecificationJSON
API Reference

Workflow Activity

Workflow activity objects represent actions and events that occur during the execution of workflows. They track the progression of documents through workflow steps, including when steps are started, completed, approved, rejected, or when users are reassigned.

Workflow activity

Attribute
Type
Description
id*
read-only
integer

ID of the workflow activity

url*
read-only
URL

URL of the workflow activity

organization*
URL

Organization URL.

annotation*
read-only
URL

URL of the related annotation

workflow*
read-only
URL

URL of the related workflow

workflow_step*
read-only
URL

URL of the related workflow step

workflow_run*
read-only
URL

URL of the related workflow run

assignees*
betaread-only
list[URL]

List of all assigned users

action*
read-only
"step_started" | "step_completed" | "approved" | "rejected" | "workflow_started" | "workflow_completed" | "reassigned"

Supported values are: step_started, step_completed, approved, rejected, workflow_started, workflow_completed, reassigned

note*
read-only
string

String note of the activity

created_at*
read-only
datetime

Date and time of when the activity was created

created_by*
read-only
URL

User who created the activity

List workflow activities

GET api / v1 / workflow_activities

Retrieve all workflow activity objects.

GET
/api/v1/workflow_activities
curl -X GET "https://example.rossum.app/api/v1/workflow_activities"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 7540,
      "url": "https://example.rossum.app/api/v1/workflow_activities/7540",
      "organization": "string",
      "annotation": "https://example.rossum.app/api/v1/annotations/314159",
      "workflow": "https://example.rossum.app/api/v1/workflows/7540",
      "workflow_step": "https://example.rossum.app/api/v1/workflow_steps/7540",
      "workflow_run": "https://example.rossum.app/api/v1/workflow_runs/7512",
      "assignees": [
        "https://example.rossum.app/api/v1/users/1",
        "https://example.rossum.app/api/v1/users/2"
      ],
      "action": "step_started",
      "note": "The workflow step started",
      "created_at": "2021-04-26T10:08:03.856648Z",
      "created_by": null
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id*
read-only
integer

ID of the workflow activity

url*
read-only
URL

URL of the workflow activity

organization*
URL

Organization URL.

annotation*
read-only
URL

URL of the related annotation

workflow*
read-only
URL

URL of the related workflow

workflow_step*
read-only
URL

URL of the related workflow step

workflow_run*
read-only
URL

URL of the related workflow run

assignees*
betaread-only
list[URL]

List of all assigned users

action*
read-only
"step_started" | "step_completed" | "approved" | "rejected" | "workflow_started" | "workflow_completed" | "reassigned"

Supported values are: step_started, step_completed, approved, rejected, workflow_started, workflow_completed, reassigned

note*
read-only
string

String note of the activity

created_at*
read-only
datetime

Date and time of when the activity was created

created_by*
read-only
URL

User who created the activity

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve workflow activity

GET api / v1 / workflow_activities / {workflowActivityID}

Get a workflow activity object.

GET
/api/v1/workflow_activities/{workflowActivityID}
curl -X GET "https://example.rossum.app/api/v1/workflow_activities/0"
{
  "id": 7540,
  "url": "https://example.rossum.app/api/v1/workflow_activities/7540",
  "organization": "string",
  "annotation": "https://example.rossum.app/api/v1/annotations/314159",
  "workflow": "https://example.rossum.app/api/v1/workflows/7540",
  "workflow_step": "https://example.rossum.app/api/v1/workflow_steps/7540",
  "workflow_run": "https://example.rossum.app/api/v1/workflow_runs/7512",
  "assignees": [
    "https://example.rossum.app/api/v1/users/1",
    "https://example.rossum.app/api/v1/users/2"
  ],
  "action": "step_started",
  "note": "The workflow step started",
  "created_at": "2021-04-26T10:08:03.856648Z",
  "created_by": null
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the workflow activity

url*
read-only
URL

URL of the workflow activity

organization*
URL

Organization URL.

annotation*
read-only
URL

URL of the related annotation

workflow*
read-only
URL

URL of the related workflow

workflow_step*
read-only
URL

URL of the related workflow step

workflow_run*
read-only
URL

URL of the related workflow run

assignees*
betaread-only
list[URL]

List of all assigned users

action*
read-only
"step_started" | "step_completed" | "approved" | "rejected" | "workflow_started" | "workflow_completed" | "reassigned"

Supported values are: step_started, step_completed, approved, rejected, workflow_started, workflow_completed, reassigned

note*
read-only
string

String note of the activity

created_at*
read-only
datetime

Date and time of when the activity was created

created_by*
read-only
URL

User who created the activity

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error